import { Position } from '../../../primitives.js';
import DirectionLinkerSymbol from '../../../symbols/directionLinkerSymbol.js';
import BTModule, { BTGridData, CheckResult } from '../data.js';
export default abstract class DirectionLinkerBTModule extends BTModule {
    instr: DirectionLinkerSymbol;
    constructor(instr: DirectionLinkerSymbol);
    checkGlobal(grid: BTGridData): CheckResult | false;
    protected abstract movePos(grid: BTGridData, x: number, y: number): Position | null;
}
